org.apache.ode.daohib.bpel.hobj

## Class HCorrelatorMessage

- java.lang.Object
- - org.apache.ode.daohib.bpel.hobj.HObject
  - - org.apache.ode.daohib.bpel.hobj.HCorrelatorMessage

-     public class HCorrelatorMessage
      extends HObject

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SELECT_CORMESSAGE_BY_MEX`
    `static java.lang.String` | `SELECT_CORMESSAGE_IDS_BY_INSTANCES`
    `static java.lang.String` | `SELECT_CORMESSAGE_IDS_BY_MEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HCorrelatorMessage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCorrelationKey()`
    `HCorrelator` | `getCorrelator()`
    `HMessageExchange` | `getMessageExchange()`
    `void` | `setCorrelationKey(java.lang.String correlationKey)`
    `void` | `setCorrelator(HCorrelator correlator)`
    `void` | `setMessageExchange(HMessageExchange data)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject

      `getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SELECT_CORMESSAGE_IDS_BY_MEX

          public static final java.lang.String SELECT_CORMESSAGE_IDS_BY_MEX

      See Also:
        Constant Field Values

    - #### SELECT_CORMESSAGE_IDS_BY_INSTANCES

          public static final java.lang.String SELECT_CORMESSAGE_IDS_BY_INSTANCES

      See Also:
        Constant Field Values

    - #### SELECT_CORMESSAGE_BY_MEX

          public static final java.lang.String SELECT_CORMESSAGE_BY_MEX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HCorrelatorMessage

          public HCorrelatorMessage()

  - ### Method Detail

    - #### getMessageExchange

          public HMessageExchange getMessageExchange()

    - #### setMessageExchange

          public void setMessageExchange(HMessageExchange data)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `HObject`

    - #### getCorrelationKey

          public java.lang.String getCorrelationKey()

    - #### setCorrelationKey

          public void setCorrelationKey(java.lang.String correlationKey)

    - #### getCorrelator

          public HCorrelator getCorrelator()

    - #### setCorrelator

          public void setCorrelator(HCorrelator correlator)